scala.collection.generic

# Shrinkable

#### trait Shrinkable[-A] extends AnyRef

This trait forms part of collections that can be reduced using a `-=` operator.

Source
  Shrinkable.scala
Version

  2.8

Since

  2.8

Linear Supertypes
AnyRef, Any
Known Subclasses
AbstractBuffer, AbstractMap, AbstractSet, AnyRefMap, ArrayBuffer, BitSet, Buffer, BufferLike, BufferProxy, DefaultMapModel, HashMap, HashSet, ImmutableMapAdaptor, ImmutableSetAdaptor, LinkedHashMap, LinkedHashSet, ListBuffer, ListMap, LongMap, Map, Map, MapLike, MapProxy, MultiMap, ObservableBuffer, ObservableMap, ObservableSet, OpenHashMap, ParHashMap, ParHashSet, ParMap, ParMapLike, ParSet, ParSetLike, ParTrieMap, Script, Set, SetLike, SetProxy, SortedSet, SynchronizedBuffer, SynchronizedMap, SynchronizedSet, SystemProperties, TreeSet, TrieMap, UnrolledBuffer, WithDefault, WithDefault
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Shrinkable
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def -=(elem: A): Shrinkable.this.type

   Removes a single element from this shrinkable collection.

   Removes a single element from this shrinkable collection.

   elem

     the element to remove.

   returns

     the shrinkable collection itself

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Shrinkable[A] to any2stringadd[Shrinkable[A]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def --=(xs: TraversableOnce[A]): Shrinkable.this.type

   Removes all elements produced by an iterator from this shrinkable collection.

   Removes all elements produced by an iterator from this shrinkable collection.

   xs

     the iterator producing the elements to remove.

   returns

     the shrinkable collection itself

5. #### def -=(elem1: A, elem2: A, elems: A*): Shrinkable.this.type

   Removes two or more elements from this shrinkable collection.

   Removes two or more elements from this shrinkable collection.

   elem1

     the first element to remove.

   elem2

     the second element to remove.

   elems

     the remaining elements to remove.

   returns

     the shrinkable collection itself

6. #### def ->[B](y: B): (Shrinkable[A], B)

   Implicit information
     This member is added by an implicit conversion from Shrinkable[A] to ArrowAssoc[Shrinkable[A]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (Shrinkable[A]) ⇒ Boolean, msg: ⇒ Any): Shrinkable[A]

    Implicit information
      This member is added by an implicit conversion from Shrinkable[A] to Ensuring[Shrinkable[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Shrinkable[A]) ⇒ Boolean): Shrinkable[A]

    Implicit information
      This member is added by an implicit conversion from Shrinkable[A] to Ensuring[Shrinkable[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Shrinkable[A]

    Implicit information
      This member is added by an implicit conversion from Shrinkable[A] to Ensuring[Shrinkable[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Shrinkable[A]

    Implicit information
      This member is added by an implicit conversion from Shrinkable[A] to Ensuring[Shrinkable[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Shrinkable[A] to StringFormat[Shrinkable[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (Shrinkable[A], B)

    Implicit information
      This member is added by an implicit conversion from Shrinkable[A] to ArrowAssoc[Shrinkable[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Shrinkable[A] to any2stringadd[Shrinkable[A]]

### Inherited by implicit conversion StringFormat from Shrinkable[A] to StringFormat[Shrinkable[A]]

### Inherited by implicit conversion Ensuring from Shrinkable[A] to Ensuring[Shrinkable[A]]

### Inherited by implicit conversion ArrowAssoc from Shrinkable[A] to ArrowAssoc[Shrinkable[A]]

### Ungrouped